Segmentation fault with latest git (070c57df)

2013-01-30 Thread Jongman Heo
Hi all, Looks like following commit causes a segmentation fault in my machine (when running git pull or git fetch); commit 8dd5afc926acb9829ebf56e9b78826a5242cd638 Author: Junio C Hamano gits...@pobox.com Date: Mon Jan 7 12:24:55 2013 -0800 string-list: allow case-insensitive string

Re: Re: Segmentation fault with latest git (070c57df)

2013-01-30 Thread Jongman Heo
On Thu, Jan 31, 2013 at 7:49 AM, Jeff King wrote: On Thu, Jan 31, 2013 at 01:35:21AM +, Jongman Heo wrote: Looks like following commit causes a segmentation fault in my machine (when running git pull or git fetch); commit 8dd5afc926acb9829ebf56e9b78826a5242cd638 Author: Junio C Hamano

Re: Re: Segmentation fault with latest git (070c57df)

2013-02-01 Thread Jongman Heo
# top commit 9a6c84e6, Merge git://ozlabs.org/~paulus/gitk $ make all install $ git fetch # this git segfaults Segmentation fault So if there is any patch to test, just let me know (but will not available during weekend). Regards, Jongman

Re: Re: Re: Re: Segmentation fault with latest git (070c57df)

2013-02-01 Thread Jongman Heo
[...] Finished prerequisites of target file `builtin/fetch.o'. Prerequisite `builtin/fetch.c' is older than target `builtin/fetch.o'. Prerequisite `GIT-CFLAGS' is older than target `builtin/fetch.o'. No need to remake target `builtin/fetch.o'. But it doesn't stimulate any prerequisites

Re: Re: Re: Re: Re: Segmentation fault with latest git (070c57df)

2013-02-03 Thread Jongman Heo
Jonathan Nieder wrote: Jongman Heo wrote: But it doesn't stimulate any prerequisites in make, which is weird. What's in builtin/.depend/fetch.o.d? [...] please see below~. $ cat builtin/.depend/fetch.o.d fetch.o: builtin/fetch.c cache.h git-compat-util.h compat/bswap.h

Re: Re: Segmentation fault with latest git (070c57df)

2013-02-03 Thread Jongman Heo
Jonathan Nieder wrote: Jongman Heo wrote: Unfortunately, the patch didn't help to me. Thanks for testing. Did you apply the patch to the older version of git that generates builtin/.depend/fetch.o.d or the newer version that consumes it? Curious, Jonathan Hi, Jonathan, I applied